Name:           accountsdialog
Version:        0.6
Release:        3%{?dist}
Summary:        An application to view and modify user accounts information

Group:          Applications/System
License:        GPLv3+
URL:            http://www.fedoraproject.org/wiki/Features/UserAccountDialog
#VCS: git:git://git.gnome.org/accountsdialog
Source0:        http://download.gnome.org/sources/accountsdialog/0.6/%{name}-%{version}.tar.bz2

# hide nonfunctional UI
Patch0:         hide-unimplemented-parts.patch
# upstream fix
Patch1:         0001-Fix-some-issues-with-icon-handling.patch
# upstream fix
Patch2:         0001-Fix-a-possible-crash-when-changing-password.patch

Requires: cheese-libs >= 2.29.90

BuildRequires:  intltool
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  gnome-desktop-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  unique-devel
BuildRequires:  polkit-gnome-devel
BuildRequires:  GConf2-devel
BuildRequires:  iso-codes-devel
BuildRequires:  cheese-libs-devel
BuildRequires:  apg
BuildRequires:  desktop-file-utils

Requires:       accountsservice >= 0.6
Requires:       apg
Requires:       GConf2
Requires:       passwd

%description
The AccountsDialog project provides an application to view and modify
user account information that is provided by the AccountsService. It
also lets you configure some aspects of the gdm login screen.

%prep
%setup -q
%patch0 -p1 -b .hide-unimplemented-parts
%patch1 -p1 -b .icon-changes
%patch2 -p1 -b .password-crash

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/accountsdialog.desktop

%find_lang accounts-dialog

%clean
rm -rf $RPM_BUILD_ROOT


%files -f accounts-dialog.lang
%defattr(-,root,root,-)
%doc COPYING README AUTHORS
%{_bindir}/accounts-dialog
%{_datadir}/accountsdialog
%{_datadir}/applications/accountsdialog.desktop


%changelog
* Mon Apr  5 2010 Matthias Clasen <mclasen@redhat.com> - 0.6-3
- Fix a possible crash when changing password

* Mon Apr  5 2010 Matthias Clasen <mclasen@redhat.com> - 0.6-2
- Fix some issues with icon handling

* Tue Mar 30 2010 Matthias Clasen <mclasen@redhat.com> - 0.6-1
- Update to 0.6

* Thu Mar 11 2010 Matthias Clasen <mclasen@redhat.com> - 0.5.1-2
- Rebuild against new cheese

* Mon Mar  1 2010 Matthias Clasen <mclasen@redhat.com> - 0.5.1-1
- Update to 0.5.1
- Password dialog improvements

* Mon Feb 22 2010 Bastien Nocera <bnocera@redhat.com> 0.5-2
- Fix crasher with newer cheese

* Mon Feb 15 2010 Matthias Clasen <mclasen@redhat.com> 0.5-1
- Update to 0.5
- Require passwd

* Tue Feb 09 2010 Bastien Nocera <bnocera@redhat.com> 0.4.1-2
- Compile with webcam avatar capture

* Tue Feb  2 2010 Matthias Clasen <mclasen@redhat.com> 0.4.1-1
- Update to 0.4.1
- Incorporate package review feedback
- Hide unimplemented parts of the UI

* Fri Jan 29 2010 Matthias Clasen <mclasen@redhat.com> 0.4-1
- Initial packaging, based on work of Richard Hughes
